<div nz-row nzGutter="8">
  <div nz-col nzXs="24" nzSm="24" nzXl="7" style="margin-bottom: 10px;">
    <nz-card nzTitle="{{ company?.name }}" nzSize="small" style="text-align: center;" [nzLoading]="isLoading[0]">
      <app-entity-avatar *ngIf="company" entityType="company" [entityId]="company.id" [(avatar)]="company.avatar">
      </app-entity-avatar>
      <div>
        {{ "Citizen.Company.OwnedBy" | translate }}:
        <a [routerLink]="['/', company?.owner?.type.toLowerCase(), company?.owner?.id]">
          {{ company?.owner?.name }}
        </a>
      </div>

      <div>
        {{ "Common.Location" | translate }}:
        <a style="margin-right: 5px" [routerLink]="['/region', company?.region?.id]">{{ company?.region?.name }}</a>
        <span *ngIf="company?.region?.country">of
          <a [routerLink]="['/country', company?.region.country.id]">{{company?.region.country.name}}</a>
        </span>
      </div>

      <div *ngIf="company?.industry?.isRaw === false">
        {{ "Common.Quality" | translate }}:
        <span style="color: gold" innerHtml="{{ company?.quality | q }}"></span>
      </div>

      <nz-divider></nz-divider>

      <button *ngIf="isEntity" class="button-basic" nz-button nzShape="round" (click)="showEmployeesModal()" nz-tooltip
        nzTooltipTitle='{{ "Entity.Employees" | translate }}'>
        <i class="fas fa-users-cog"></i>
      </button>

      <button *ngIf="isEntity" class="button-basic" nz-button nzShape="round" (click)="showManageModal1()" nz-tooltip
        nzTooltipTitle='{{ "Entity.Manage" | translate }}'>
        <i class="fas fa-cog"></i>
      </button>

      <button *ngIf="employed != null && !isEntity" class="button-basic" nzShape="round" nz-button nz-tooltip
        nzTooltipTitle='{{ "Citizen.Company.Resign" | translate }}' (click)="resign()">
        <i class="fas fa-sign-out-alt"></i>
      </button>

      <app-entity-settings *ngIf="isEntity && company" [(entity)]="company" entityType="company"></app-entity-settings>
    </nz-card>

    <nz-card style="width: 100%" nzSize="small"
      nzTitle='{{ "Citizen.Company.Stock" | translate }} - {{ "Economy." + company?.industry?.symbol | translate }}'
      style="margin-top: 10px" [nzLoading]="isLoading[0]">
      <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'" [nzSrc]="company?.industry?.value">
      </nz-avatar>
      {{ company?.stock }}
    </nz-card>

    <nz-card style="width: 100%" nzSize="small" nzTitle='{{ "Citizen.Company.Queue" | translate }}'
      style="margin-top: 10px" [nzLoading]="isLoading[0]">
      <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'" [nzSrc]="company?.industry?.value">
      </nz-avatar>
      {{ company?.queue }}
    </nz-card>

    <nz-card style="width: 100%" nzSize="small"
      nzTitle='{{ "Citizen.Company.RawMeterial" | translate }} - {{ "Economy." + company?.industryRaw?.symbol | translate }}'
      style="margin-top: 10px" *ngIf="company?.industryRaw" [nzLoading]="isLoading[0]" [nzExtra]="rawsMarketTmp">
      <ng-template #rawsMarketTmp>
        <a href="/market/raws?r={{company?.industryRaw?.id}}&c={{ company?.id }}" *ngIf="isEntity"
          style="color: inherit; cursor: pointer;"><i class="fas fa-shopping-basket"></i></a>
      </ng-template>
      <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzSrc]="company?.industryRaw?.value">
      </nz-avatar>
      {{ company?.rawStock }}
    </nz-card>

    <nz-card style="width: 100%" nzSize="small" nzTitle='{{ "Economy.Company.ExportLicenses" | translate }}'
      style="margin-top: 10px" [nzLoading]="!exportLicenses" [nzExtra]="buyExportLicenseTmp">
      <ng-template #buyExportLicenseTmp>
        <div (click)="buyExportLicenses()" *ngIf="isEntity"><i class="fas fa-shopping-basket"
            style="cursor:pointer;"></i></div>
      </ng-template>
      <ul nz-list [nzDataSource]="exportLicenses" nzBordered nzSize="small"
        nzNoResult="{{ 'Economy.Company.NoExportLicences' | translate }}">
        <li nz-list-item nzNoFlex>
          <ul nz-list-item-actions>
            <nz-list-item-action>
              {{ 'Economy.Company.LicenceExpireDate' | translate }}
            </nz-list-item-action>
          </ul>
          {{ 'Economy.Market.Country' | translate }}
        </li>
        <li nz-list-item *ngFor="let item of exportLicenses" nzNoFlex>
          <ul nz-list-item-actions style="text-align: center;">
            <nz-list-item-action style="text-align: center">
              {{ item.expireDate }}
            </nz-list-item-action>
          </ul>
          <img [src]="item.country.flagLocation" width="30" height="25" style="margin-right: 10px" />
          {{ item.country.name }}
        </li>
      </ul>
    </nz-card>

  </div>

  <div nz-col nzXs="24" nzSm="24" nzXl="17">
    <div *ngIf="workResult !== undefined">
      <nz-spin *ngIf="employed" nzTip="Loading..." [nzSpinning]="isLoading[1]">
        <nz-card *ngIf="workResult == null" style="width: 100%; margin-bottom: 10px" nzTitle="Paycheck" nzSize="small">
          <div nz-row style="text-align: center; margin-top: 10px">
            <div nz-col nzSpan="24">
              <span class="text-size5">{{ "Notification.Type.YourSalaryIs" | translate:{ employed: this.employed }
                }}</span>
            </div>
            <div nz-col nzSpan="24" style="margin-top: 20px; text-align: center">
              <button nz-button nzType="primary" nzSize="small" style="width: 150px" nzShape="round" (click)="work()"
                [disabled]="isLoading[1]">
                {{ "Citizen.Work" | translate }}
              </button>
            </div>
          </div>
        </nz-card>
        <nz-card *ngIf="workResult != null" style="width: 100%; margin-bottom: 10px" nzTitle="Work results"
          nzSize="small">
          <nz-row [nzGutter]="8" style="text-align: center" nzJustify="center">
            <nz-col nzXs="24" nzSm="12" nzMd="8" nzLg="6" nzXl="8" style="margin-bottom: 10px">
              <nz-statistic [nzValue]="workResult.production" nzTitle="{{ 'Common.Productivity' | translate }}">
              </nz-statistic>
            </nz-col>
            <nz-col nzXs="24" nzSm="12" nzMd="8" nzLg="8" nzXl="8" style="margin-bottom: 10px">
              <nz-statistic [nzValue]="workResult.netSalary" [nzTitle]="'Net / Gross salary'"
                nzSuffix="/ {{ workResult.grossSalary }}"></nz-statistic>
            </nz-col>
            <nz-col nzXs="24" nzSm="12" nzMd="8" nzLg="8" nzXl="8" style="margin-bottom: 10px">
              <nz-statistic [nzValue]="workResult.health" [nzTitle]="'Citizen.Wellness' | translate"
                [nzSuffix]="'/ 100'"></nz-statistic>
            </nz-col>
            <nz-col nzXs="24" nzSm="12" nzMd="8" nzLg="8" nzXl="8" style="margin-bottom: 10px">
              <nz-statistic [nzValue]="workResult.daysWorkedInRow" [nzTitle]="'Citizen.Company.daysWorkedRow'| translate"></nz-statistic>
            </nz-col>
            <nz-col nzXs="24" nzSm="12" nzMd="8" nzLg="8" nzXl="8" style="margin-bottom: 10px">
              <nz-statistic [nzValue]="workResult.skill" [nzTitle]="'Economy.Market.Skill' | translate"></nz-statistic>
            </nz-col>
            <nz-col nzXs="24" nzSm="12" nzMd="8" nzLg="8" nzXl="8" style="margin-bottom: 10px"
              *ngIf="company?.industry?.isRaw === false">
              <nz-statistic [nzValue]="workResult.rawsUser" [nzTitle]="'Citizen.Company.rawsUsed'| translate"></nz-statistic>
            </nz-col>
          </nz-row>
        </nz-card>
      </nz-spin>
    </div>

    <app-company-items-offers *ngIf="company && exportLicenses" [company]="company" [canManage]="isEntity"
      [countries]="exportLicenses" (refreshParent)="loadData()"></app-company-items-offers>
    <app-company-jobs-offers [companyId]="company.id" [canManage]="isEntity"></app-company-jobs-offers>

    <nz-card nzSize="small" [nzTitle]="'Citizen.Company.Analytics'| translate" [nzExtra]="analyticsSelectRange">
      <ng-template #analyticsSelectRange>
        <nz-select [(ngModel)]="selectedStatsDateRange" style="width: 200px" (ngModelChange)="loadIncomeExpanseStats()">
          <nz-option nzValue="daily" [nzLabel]="'Citizen.Company.Daily'| translate"></nz-option>
          <nz-option nzValue="weekly" [nzLabel]="'Citizen.Company.Weekly'| translate"></nz-option>
          <nz-option nzValue="monthly" [nzLabel]="'Citizen.Company.Monthly'| translate"></nz-option>
        </nz-select>
      </ng-template>
      <app-chart *ngIf="incomeExpansesChart" [labels]="incomeExpansesChart.labels"
        [datasets]="incomeExpansesChart.datasets" type="line"></app-chart>
    </nz-card>
  </div>
</div>
